using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgGeneralLinkConvertEventUrlList
{

    /*
        物料对应错误描述
    */
    private string? msg;


    /*
        物料对应错误码
    */
    private long? code;


    /*
        链接信息
    */
    private TaobaoTbkDgGeneralLinkConvertLinkInfoDTO? linkInfoDto;


    /*
        入参的会场ID
    */
    private string? inputPageId;



    [JsonPropertyName("msg")]
    public string? Msg
    {
        get => msg;
        set => this.msg = value;
    }

    [JsonPropertyName("code")]
    public long? Code
    {
        get => code;
        set => this.code = value;
    }

    [JsonPropertyName("link_info_dto")]
    public TaobaoTbkDgGeneralLinkConvertLinkInfoDTO? LinkInfoDto
    {
        get => linkInfoDto;
        set => this.linkInfoDto = value;
    }

    [JsonPropertyName("input_page_id")]
    public string? InputPageId
    {
        get => inputPageId;
        set => this.inputPageId = value;
    }

}

